模块构build失败:错误:AotPlugin被检测到,但是它是一个错误类的实例

我试图升级到最新版本的webpack,因为在运行一个angular度的应用程序的旧版本的现场重新加载的问题。 在前面的情况一切正常,我只是有一个生活重新加载的问题。 所以我把它升级到最新版本的webpack,就是在老版本的webpack的问题上说的。

所以当我升级到最新版本。 运行ng服务时,我现在遇到了这个错误。

./src/main.ts中的错误模块构build失败:错误:检测到AotPlugin,但是它是错误类的实例。 这可能意味着您已经安装了多个@ ngtools / webpack软件包。 你可以用npm ls @ngtools/webpack来检查,然后删除多余的副本。 在Object.ngcLoader(/home/jayzdevera/Documents/ad-fingerprinting/web/node_modules/@ngtools/webpack/src/loader.js:430:19)@ multi webpack-dev-server / client? http:// localhost:4200 ./src/main.ts错误./src/polyfills.ts模块构build失败:错误:AotPlugin被检测到,但是它是一个错误类的实例。 这可能意味着您已经安装了多个@ ngtools / webpack软件包。 你可以用npm ls @ngtools/webpack来检查,然后删除多余的副本。 在Object.ngcLoader(/home/jayzdevera/Documents/ad-fingerprinting/web/node_modules/@ngtools/webpack/src/loader.js:430:19)@ multi ./src/polyfills.ts

npm ls @ ngtools / webpack

 @angular/cli@1.3.2 │ └── @ngtools/webpack@1.6.2 └── @ngtools/webpack@1.6.2 

我正在使用Ubuntu 16.04

如果有人可以帮忙,请欣赏。 提前致谢。

       

网上收集的解决方案 "模块构build失败:错误:AotPlugin被检测到,但是它是一个错误类的实例"

我最近在@ angular / cli @ 1.4.9和@ ngtools / webpack @ 1.7.4上遇到类似的问题

 ├─┬ @angular/cli@1.4.9 │ └── @ngtools/webpack@1.7.4 └── @ngtools/webpack@1.7.4 

按照这里的说明https://github.com/angular/angular-cli/wiki/stories-1.0-update

 npm uninstall -g angular-cli npm uninstall --save-dev angular-cli npm uninstall -g @angular/cli npm uninstall --save-dev @angular/cli rm -rf node_modules dist npm cache clean npm install -g @angular/cli@latest npm install --save-dev @angular/cli@latest npm install